#pragma once
#include <string>
using namespace std;

class ozApi
{
public:
	virtual int open(string host, int port) = 0;
	virtual bool login(string username, string password) = 0;
	virtual int close() = 0;
	virtual string sendMessage(string receiver, string message,string sender = "", string messagetype = "SMS:TEXT", string serviceProvider = "") = 0;

};


extern "C" __declspec(dllexport) ozApi* CreateSmsConnection();
typedef ozApi* (*SmsConnection) ();

